hwy::SortConstants Struct Reference

`#include <shared-inl.h>`

## Static Public Member Functions

static constexpr HWY_INLINE size_t | BaseCaseNum (size_t N)
static constexpr HWY_INLINE size_t | PartitionBufNum (size_t N)
static constexpr HWY_INLINE size_t | LanesPerChunk (size_t sizeof_t)
static constexpr HWY_INLINE size_t | PivotBufNum (size_t sizeof_t, size_t N)
template<typename T >
static constexpr HWY_INLINE size_t | BufNum (size_t N)
template<typename T >
static constexpr HWY_INLINE size_t | BufBytes (size_t vector_size)

## Static Public Attributes

static constexpr size_t | kMaxCols = 16
static constexpr size_t | kMaxRowsLog2 = 4
static constexpr size_t | kMaxRows = size_t{1} << kMaxRowsLog2
static constexpr size_t | kPartitionUnroll = 4

## Member Function Documentation

## BaseCaseNum()

static constexpr HWY_INLINE size_t hwy::SortConstants::BaseCaseNum | ( | size_t | N | ) |

inline static constexpr

References HWY_MIN, kMaxCols, and kMaxRows.

Referenced by BufNum().

## BufBytes()

template<typename T >

static constexpr HWY_INLINE size_t hwy::SortConstants::BufBytes | ( | size_t | vector_size | ) |

inline static constexpr

## BufNum()

template<typename T >

static constexpr HWY_INLINE size_t hwy::SortConstants::BufNum | ( | size_t | N | ) |

inline static constexpr

References BaseCaseNum(), HWY_MAX, PartitionBufNum(), and PivotBufNum().

## LanesPerChunk()

static constexpr HWY_INLINE size_t hwy::SortConstants::LanesPerChunk | ( | size_t | sizeof_t | ) |

inline static constexpr

Referenced by PivotBufNum().

## PartitionBufNum()

static constexpr HWY_INLINE size_t hwy::SortConstants::PartitionBufNum | ( | size_t | N | ) |

inline static constexpr

References kPartitionUnroll.

Referenced by BufNum().

## PivotBufNum()

static constexpr HWY_INLINE size_t hwy::SortConstants::PivotBufNum | ( | size_t | sizeof_t,
|  | size_t | N
| ) |  |

inline static constexpr

References LanesPerChunk().

Referenced by BufNum().

## Member Data Documentation

## kMaxCols

constexpr size_t hwy::SortConstants::kMaxCols = 16

static constexpr

Referenced by BaseCaseNum().

## kMaxRows

constexpr size_t hwy::SortConstants::kMaxRows = size_t{1} << kMaxRowsLog2

static constexpr

Referenced by BaseCaseNum().

## kMaxRowsLog2

constexpr size_t hwy::SortConstants::kMaxRowsLog2 = 4

static constexpr

## kPartitionUnroll

constexpr size_t hwy::SortConstants::kPartitionUnroll = 4

static constexpr

Referenced by PartitionBufNum().

The documentation for this struct was generated from the following file:

- contrib/sort/shared-inl.h